> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Continent

> Retrieves a specific Continent.




## OpenAPI

````yaml get /public/user/continent/retrieve/{continent_id}
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/continent/retrieve/{continent_id}:
    get:
      tags:
        - Continent
      summary: Retrieve Continent
      description: |
        Retrieves a specific Continent.
      parameters:
        - name: continent_id
          in: path
          description: ID of the Continent to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Continent Retrieve
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ContinentSuccessfulRetrieveResponse'
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    ContinentSuccessfulRetrieveResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            continent_alias:
              type: string
              example: eu
            continent_id:
              type: string
              example: eu
            continent_name:
              type: string
              example: Europe
          description: Retrieved Continent item details.
        message:
          type: string
          description: Status message for the retrieval.
      description: Continent retrieve was successful.
      example:
        data:
          continent_alias: eu
          continent_id: eu
          continent_name: Europe
        message: Continent successfully retrieved.
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````